Summary:	Print RPM dump of specfile
Summary(pl.UTF-8):	Narzędzie wypisujące RPM-owy zrzut pliku spec
Name:		rpm-specdump
Version:	0.8
Release:	2
License:	GPL
Group:		Applications/System
Source0:	%{name}.c
Source1:	Makefile
BuildRequires:	rpm-devel
%requires_ge	rpm-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Print RPM dump of specfile.

%description -l pl.UTF-8
Narzędzie wypisujące RPM-owy zrzut (dump) pliku spec.

%prep
%setup -qcT
ln -s %{SOURCE0} .
ln -s %{SOURCE1} .

%build
%{__make} \
	CC="%{__cc}" \
	RPMLDFLAGS="%{rpmldflags}" \
	RPMCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm-specdump
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-specdump.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> fb530be
- rebuild with separate debuginfo build-ids

* Thu Feb 25 2021 Jan Rękorajski <baggins@pld-linux.org> 51011e6
- ver 0.8, set noarch when parsing same as when running rpm -bs

* Fri Dec 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3e3028a
- don't require exact version of rpm-lib packag, >= is fine

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> f301ae1
- tell rpm 4 that this is a non-build parse and source/patch files may be missing
- rel 3

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 5f989e8
- restore missing initializer
- rel 2

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 29e9e36
- bump ver to 0.7 due to high number of recent changes

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 842c758
- rel 4

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 7b6a4c1
- fix tag getter for rpm5

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 4b7a7b5
- fix RPM_*_VERSION variables

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> b81ab5e
- reenable dependency that was tempararily disabled in 2012...
- rel 3

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 6ac4311
- realy define rpm version constants

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 9763443
- drop support for rpm < 4.5
- add support for rpm.org rpm 4.16+

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 431cb63
- drop support for rpm older than 4.4.9

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 7490048
- define rpm version from pkg-config
- drop support for antiquated rpm

* Mon Oct 19 2020 Jan Rękorajski <baggins@pld-linux.org> 7051231
- use pkgconfig to get default CFLAGS and LDFLAGS

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7efca79
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 0cf659b
- inline commonly used macros

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> f164fe0
- install -p

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> b7abcb1
- version 0.6 for new features

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 846d963
- parse URL header

